当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 40 篇帖子 ]  前往页数 1, 2, 3  下一页
作者 内容
1 楼 
 文章标题 : Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-11-05 10:15 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
呵呵,发现用这款打印机的朋友还不少。
个人从接触9.04到现在,半年多了,除了极少的几个需求不得切换到win下外,都在使用Ubuntu。
希望Canon PIXMA iP1880不要成为你留在Ubuntu下的阻碍,特献上此文:


Ubuntu8.04以后的版本都适用。

1.对于PIXMA iP1880,Canon官方有提供Linux的驱动程序。
请到Canon官方网页下载RPM安装包:

http://support-cn.canon-asia.com/ZH/sea ... d%3dLinux&

2.Canon官方仅提供支持Fedora和openSUSE的上述两个RPM安装包。
将它们转化成Ubuntu的安装包形式:

sudo apt-get install alien

sudo alien -k cnijfilter-common-2.70-1.i386.rpm
sudo alien -k cnijfilter-ip1800series-2.70-1.i386.rpm

3.安装转化成功的驱动程序:

sudo dpkg -i cnijfilter-common_2.70-1_i386.deb
sudo dpkg -i cnijfilter-ip1800series_2.70-1_i386.deb

4.此时,本应已经安装完成;但是,ip1880依旧不能正常工作。
因为它依旧缺少某些文件的支持。
我们需要以下命令:

cd /usr/lib/
sudo ln -s ./libtiff.so.4.2.1 ./libtiff.so.3

sudo apt-get install libpng3

sudo apt-get install libgtk1.2
sudo apt-get install libxml1

5.OK,打开PIXMA iP1880,系统自动弹出、安装打印机。
打印测试页测试,你将看到带有Ubuntu标志的彩色条码图案。

或者,需要打开:系统》系统管理》打印,
点击“刷新”或者打开:新建》打印机,检测打印机,
选择设备》canon ip1880,
选择“安装驱动程序”按钮:/usr/share/cups/model,
选择;canonip1800.ppd.

完成!祝君好运! :em11

BTW:Ubutu 9.10中安装 libgtk1.2等,MS需要自己下载(不大确定)。
——Google之,很容易找到。


附件:
cnijfilter-common_2.70-1_i386.deb [45.7 KiB]
被下载 480 次
cnijfilter-ip1800series_2.70-1_i386.deb [1.72 MiB]
被下载 467 次
libgtk1.2-common_1.2.10-18.1build2_all.deb [203.72 KiB]
被下载 439 次
libgtk1.2_1.2.10-18_i386.deb [817.36 KiB]
被下载 910 次
libxml1_1.8.17-14+etch1_i386.deb [207.78 KiB]
被下载 1223 次
libglib1.2_1.2.10-17_i386.deb [118.54 KiB]
被下载 773 次


_________________
无从完美。
页首
 用户资料  
 
2 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-11-07 23:54 
头像

注册: 2009-08-13 21:39
帖子: 51
送出感谢: 0 次
接收感谢: 0 次
好了!我把那些附件都装了 一遍,打印机已经能打印了。
我原来可能只装前面两个,后面的没装,打印机找到了,但是打印不了。 :em06
现在终于可以打印了! :em01
谢谢了!


_________________
借我三千龙骑,复我浩荡中华!饮马恒河畔,剑指天山西;碎叶城揽月,库叶岛赏雪;黑海之滨钓鲸,贝加尔湖射雕;中南半岛访古,东京废墟遥祭华夏列祖。汉旗指处,望尘逃遁——敢犯中华天威者,虽远必诛!


页首
 用户资料  
 
3 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-11-07 23:56 
头像

注册: 2008-12-13 19:39
帖子: 13284
地址: 物华天宝人杰地灵
送出感谢: 1
接收感谢: 6
没有该打印机的也路过支持楼主的经验分享。。。其实如果买新打印机,还是hp的Linux驱动最好搞。 :em11


_________________
行到水穷处,坐看云起时。
海内生明月,天涯共此夕。
--------------------吾本独!


页首
 用户资料  
 
4 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-11-07 23:59 
头像

注册: 2007-02-02 18:14
帖子: 30702
系统: debian sid
送出感谢: 1
接收感谢: 34
hp的可以即插即用的,i386就不试了,反正也很少打的,打印还是xp吧


_________________
醉了星星,醉月亮●●●●●The Long Way To Go(*^_^*)


页首
 用户资料  
 
5 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-12-10 20:55 

注册: 2009-11-14 20:57
帖子: 36
送出感谢: 0 次
接收感谢: 0 次
谢谢楼主,我的IP1880已经可以工作了。个人觉得UBUNTU9.10下 要想使ip1880正常驱动并工作,后3个步骤是关键的。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2009-12-10 22:35 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
呵呵,再加上一个附件。
齐全了,不另外使用安装软件的命令也行了。
只需建个软链接,加事后更新一下。


:em01


附件:
libpng3_1.2.37-1_all.deb [926 Bytes]
被下载 146 次


_________________
无从完美。
页首
 用户资料  
 
7 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-04-07 13:23 

注册: 2010-01-15 19:06
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
重启一下 终于可以打印了


页首
 用户资料  
 
8 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-05-11 23:04 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
升级后,可以使用下面的这条命令查看缺少了些什么,找了装上即可。
注意:最好是只在官网找需要的相关软件!
祝好运~

ldd /usr/local/bin/cifip1800


_________________
无从完美。


页首
 用户资料  
 
9 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-05-16 22:41 

注册: 2010-05-16 22:36
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
你好。我现在用的版本是10.4版。我现在按照你的方法装了一下,还是不能打印。我的机子是ip1180.出现的代码如下。希望你能帮我解决一下。谢谢!administrator@ubuntu:~/下载$ ldd /usr/local/bin/cifip1800
linux-gate.so.1 => (0x004a0000)
libcnbpcmcm312.so => /usr/lib/libcnbpcmcm312.so (0x00c46000)
libcnbpess312.so => /usr/lib/libcnbpess312.so (0x00ab2000)
libm.so.6 => /lib/tls/i686/cmov/libm.so.6 (0x00518000)
libdl.so.2 => /lib/tls/i686/cmov/libdl.so.2 (0x003bc000)
libtiff.so.3 => not found
libpng.so.3 => not found
libcnbpcnclapi312.so => /usr/lib/libcnbpcnclapi312.so (0x0086d000)
libcnbpcnclbjcmd312.so => /usr/lib/libcnbpcnclbjcmd312.so (0x00f7a000)
libcnbpcnclui312.so => /usr/lib/libcnbpcnclui312.so (0x00ff4000)
libpopt.so.0 => /lib/libpopt.so.0 (0x002de000)
libc.so.6 => /lib/tls/i686/cmov/libc.so.6 (0x00d2d000)
libpthread.so.0 => /lib/tls/i686/cmov/libpthread.so.0 (0x00ec8000)
/lib/ld-linux.so.2 (0x002bc000)


页首
 用户资料  
 
10 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-06-05 23:28 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
就以LS的情况为例,红色框框中“not found”的部分是缺少的部分,找到相关文件装上即可(注意来源)。

祝好运~

BTW:可能会遇到软件依赖问题。
到win下使用吧!win7下,打开打印机,直接会驱动,64位的也有。
官网下的两种驱动,都不是原生给Ubuntu用的;别折腾自己了~


附件:
Screenshot.png
Screenshot.png [ 17.98 KiB | 被浏览 6837 次 ]



_________________
无从完美。
页首
 用户资料  
 
11 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-06-15 11:08 

注册: 2008-01-31 12:39
帖子: 209
送出感谢: 1
接收感谢: 0 次
很感谢你的分享,我的机器是ip3300,用你的方法也能打印了。


页首
 用户资料  
 
12 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-06-18 1:19 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
Ubuntu 10.04版本适用。
步骤更简。

1.对于PIXMA iP1880,Canon官方仅提供rpm格式的Linux驱动程序版本较老。
可以选用Canon PIXMA iP1900的原生deb格式驱动。

在佳能官网驱动载点输入相关信息:
http://software.canon-europe.com/products/0010647.asp

在此获得:
http://software.canon-europe.com/download.asp

或者在附件直接获得。

2.在安装 解压后获得的其中2个驱动文件 之前,要取得下面的支持:
sudo apt-get install libcupsys2

3.安装 解压后获得的其中2个驱动文件:
sudo dpkg -i cnijfilter-common_3.00-1_i386.deb
sudo dpkg -i cnijfilter-ip1900series_3.00-1_i386.deb

4.(MS可以不用这一步;先略过此步再看,不行的话,再回头补上就好)此时,本应已经安装完成;但是,ip1880依旧不能正常工作。
因为它依旧缺少某些文件的支持,可以使用下面的命令查看:
ldd /usr/local/bin/cifip1800

显示的“not found”就是缺少的部分。
(可查照第8~10楼相关叙述。)

我们需要以下命令:

cd /usr/lib/
sudo ln -s ./libtiff.so.4.2.1 ./libtiff.so.3

sudo apt-get install libpng3

5.OK,打开PIXMA iP1880,系统自动弹出、安装打印机。
需要打开:系统》系统管理》打印,
点击“刷新”或者打开:新建》打印机,检测打印机,
选择设备》canon ip1880,
选择 “安装驱动程序”按钮,进入后,选择 ip1900 的驱动即可。
打印测试页测试,你将看到带有Ubuntu标志的彩色条码图案。

题外话:看到此楼的朋友,都是细致、有耐心的,好样的回报是只需要装这3个软件包,装好后,系统会更新一下libcupsys这个软件包,别的都OK了
看下12楼和1楼的附件下载量的比较,不少网友就只看了1楼吧....


附件:
libcupsys2_1.3.9-17ubuntu3.4_all.deb [59.27 KiB]
被下载 160 次
cnijfilter-common_3.00-1_i386.deb [61.62 KiB]
被下载 172 次
cnijfilter-ip1900series_3.00-1_i386.deb [1.73 MiB]
被下载 205 次


_________________
无从完美。


最后由 行远自迩 编辑于 2011-08-27 2:25,总共编辑了 2 次
页首
 用户资料  
 
13 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-06-18 1:29 
头像

注册: 2009-04-19 15:27
帖子: 403
送出感谢: 4
接收感谢: 0 次
多位朋友PM或者留言,类似或者相近型号的佳能打印机,也都可以用这样的思路来成功安装驱动。

附上一个比6楼版本新一点的libpng:


附件:
libpng3_1.2.42-1ubuntu2_all.deb [920 Bytes]
被下载 83 次


_________________
无从完美。
页首
 用户资料  
 
14 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-08-23 16:32 

注册: 2009-08-24 12:51
帖子: 12
送出感谢: 0 次
接收感谢: 0 次
同9楼问


libtiff.so.3 => not found
libpng.so.3 => not found

求教,这两个文件上哪里找啊······ :em20


页首
 用户资料  
 
15 楼 
 文章标题 : Re: Ubuntu下安装Canon PIXMA iP1880打印机
帖子发表于 : 2010-08-25 4:16 
头像

注册: 2010-08-22 8:15
帖子: 13
送出感谢: 0 次
接收感谢: 0 次
今天装摄像头和打印机都失败了,研究了半天没有结果,哎,想格掉WIN7,看来还是不行。但我的移动硬盘一接上就自动挂载好了,说也奇怪,不是要手动挂载的吗?


_________________
ALWAYS ONLINE


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 40 篇帖子 ]  前往页数 1, 2, 3  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译